
var headConf = {
    w: 72,
    h: 56
};
// 选区大小
var showImg = {
    box: {
        w: 328,
        h: 208
    },
    img: {
        w: 0,
        h: 0
    }
};
var k = 0;
window.globalTranslate = true;
window.heartTranslate = true;
window.kityTranslate = true;
window.kityHeadTranslate = true;
function updateCoords(c)
{
    $('#x').val(c.x);
    $('#y').val(c.y);
    $('#w').val(c.w);
    $('#h').val(c.h);
    showCutView(c);
};
function showCutView(opts) {
    var img = new Image();
    img.src = $('#cropbox')[0].src;
    img.onload = function () {
        var w = img.width;
        var h = img.height;
        var c = w / showImg.img.w;
        var info = {
            id: 'canvas', 
            src: $('#cropbox')[0].src, 
            x: Math.floor(opts.x * c), 
            y: Math.floor(opts.y * c), 
            w: Math.floor(opts.w * c), 
            h: Math.floor(opts.h * c)
        };
        $('#isNomal').val('0');
        $('#rx').val(info.x);
        $('#ry').val(info.y);
        $('#rw').val(info.w);
        $('#rh').val(info.h);
        info['width'] = 53;
        info['height'] = 21;

        // drawHeart(info);
        drawHead(info);
    }    
}

function setImageData() {
    var obj = {x: $('#x').val(), y: $('#y').val(), w: $('#w').val(), h: $('#h').val()};
}
/**
 * 供客户端接口(设置头像选取图片)
 */
function setHeadImage(msg) {
    var objImg = new Image();
    var imgSrc = msg['file'];
    objImg.src = imgSrc;
    window.openFile = imgSrc;
    objImg.onload = function() {
        var h = objImg.height;
        var w = objImg.width;        
        var show = $('<img>', {id: 'cropbox'});
        if (w / showImg.box.w > h / showImg.box.h) {
            showImg.img.w = showImg.box.w;
            showImg.img.h = Math.floor(h / (w / showImg.box.w));            
        } else {
            showImg.img.w = Math.floor(w / (h / showImg.box.h));
            showImg.img.h = showImg.box.h;            
        }
        show.css({'width': showImg.img.w + 'px', 'height': showImg.img.h + 'px'});
        show.attr('src', imgSrc);  
        $('#cutBox').html(show);
        // 绑定裁图动画
        $('#cropbox').Jcrop({
            aspectRatio: headConf.w / headConf.h,
            onChange: updateCoords
        });        
    };    
}
/**
 * 画kitty猫脸型
 * @param  {object} opts img信息和裁图信息
 */
function drawHead(opts) {
    var image = new Image();
    var canvas = document.getElementById(opts.id);
    var ctx = canvas.getContext('2d');    
    image.onload = function () {
        if (window.kityTranslate) {
            ctx.translate(17, 24);
            window.kityTranslate = false;
        }
        ctx.beginPath();
        ctx.moveTo(5, 38);
        ctx.quadraticCurveTo(5,27,10,23);
        ctx.quadraticCurveTo(17,13,40,13);
        ctx.quadraticCurveTo(65,18,68,22);
        ctx.quadraticCurveTo(78,36,72,51);
        ctx.quadraticCurveTo(71,60,64,66);
        ctx.lineTo(15,66);
        ctx.quadraticCurveTo(9,58,8,53);
        ctx.quadraticCurveTo(6,44,5,38);
        ctx.stroke();
        ctx.clip(); 

        ctx.drawImage(image, opts.x, opts.y, opts.w, opts.h, 6, 8, headConf.w, headConf.h);//这里取的是实际尺寸
    }
    image.src = opts.src;
}
/**
 * 显示hellokitty头像(供客户端调用--椭圆相框)
 * @param  {object} opts img信息和canvasid
 */
function showHead(msg) { 
    var image = new Image();
    var imgSrc = msg['file']; 
    image.src = imgSrc;  
    var canvas = document.getElementById('headCanvas');
    var ctx = canvas.getContext('2d');
    image.onload = function () {
        saveHeadSetting(imgSrc);
        ctx.beginPath();
		ctx.moveTo(5, 38);
        ctx.quadraticCurveTo(5,27,10,23);
        ctx.quadraticCurveTo(17,11,40,11);
        ctx.quadraticCurveTo(65,15,68,20);
        ctx.quadraticCurveTo(78,36,72,51);
        ctx.quadraticCurveTo(71,60,64,66);
        ctx.lineTo(15,66);
        ctx.quadraticCurveTo(9,58,8,53);
        ctx.quadraticCurveTo(6,44,5,38);
        ctx.stroke();
        ctx.clip();  

        ctx.drawImage(image, 1, 8, headConf.w, headConf.h);//这里取的是实际尺寸
    }
    image.onerror = function () {
        imgSrc = skin.nomalImgSrc;
        image.src = imgSrc;
    }
}